#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct ExportDataTooBig {
    #[serde(rename = "estimatedSize")]
    estimated_size: conjure_object::SafeLong,
}
impl ExportDataTooBig {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(estimated_size: conjure_object::SafeLong) -> Self {
        Self::builder().estimated_size(estimated_size).build()
    }
    #[inline]
    pub fn estimated_size(&self) -> conjure_object::SafeLong {
        self.estimated_size
    }
}
impl conjure_error::ErrorType for ExportDataTooBig {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Export:ExportDataTooBig"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["estimatedSize"]
    }
}
